Manifest-Version: 1.0
Bnd-LastModified: 1751442926972
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Workflow Kaleo Runtime Implementation
Bundle-SymbolicName: com.liferay.portal.workflow.kaleo.runtime.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.38.hotfix-6739-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.change.tracking.model;version="3.0",com.li
 feray.mail.kernel.model;version="1.1",com.liferay.mail.kernel.service
 ;version="3.0",com.liferay.osgi.service.tracker.collections.map;versi
 on="2.2",com.liferay.osgi.util;version="2.3",com.liferay.petra.concur
 rent;version="2.0",com.liferay.petra.executor;version="1.0",com.lifer
 ay.petra.function;version="1.5",com.liferay.petra.lang;version="1.3",
 com.liferay.petra.reflect;version="1.5",com.liferay.petra.string;vers
 ion="1.7",com.liferay.portal.aop;version="1.0",com.liferay.portal.ins
 tance.lifecycle;version="2.1",com.liferay.portal.kernel.change.tracki
 ng;version="2.2",com.liferay.portal.kernel.exception;version="12.3",c
 om.liferay.portal.kernel.io.unsync;version="8.0",com.liferay.portal.k
 ernel.json;version="11.0",com.liferay.portal.kernel.language;version=
 "11.0",com.liferay.portal.kernel.log;version="7.1",com.liferay.portal
 .kernel.messaging;version="11.1",com.liferay.portal.kernel.messaging.
 proxy;version="11.0",com.liferay.portal.kernel.model;version="24.0",c
 om.liferay.portal.kernel.scheduler;version="10.2",com.liferay.portal.
 kernel.scheduler.messaging;version="8.0",com.liferay.portal.kernel.se
 arch;version="17.0",com.liferay.portal.kernel.security.auth;version="
 5.1",com.liferay.portal.kernel.security.permission;version="6.2",com.
 liferay.portal.kernel.security.permission.resource;version="2.1",com.
 liferay.portal.kernel.service;version="17.0",com.liferay.portal.kerne
 l.settings;version="3.2",com.liferay.portal.kernel.template;version="
 14.0",com.liferay.portal.kernel.transaction;version="8.1",com.liferay
 .portal.kernel.util;version="45.0",com.liferay.portal.kernel.uuid;ver
 sion="6.2",com.liferay.portal.kernel.workflow;version="17.2",com.life
 ray.portal.kernel.workflow.comparator;version="7.4",com.liferay.porta
 l.kernel.workflow.messaging;version="7.1",com.liferay.portal.kernel.w
 orkflow.search;version="1.0",com.liferay.portal.rules.engine;version=
 "2.0",com.liferay.portal.workflow.kaleo;version="2.0",com.liferay.por
 tal.workflow.kaleo.definition;version="2.1",com.liferay.portal.workfl
 ow.kaleo.definition.deployment;version="3.0",com.liferay.portal.workf
 low.kaleo.definition.exception;version="1.4",com.liferay.portal.workf
 low.kaleo.definition.parser;version="1.1",com.liferay.portal.workflow
 .kaleo.model;version="5.1",com.liferay.portal.workflow.kaleo.runtime;
 version="5.0",com.liferay.portal.workflow.kaleo.runtime.action;versio
 n="1.0",com.liferay.portal.workflow.kaleo.runtime.action.executor;ver
 sion="1.0",com.liferay.portal.workflow.kaleo.runtime.assignment;versi
 on="2.0",com.liferay.portal.workflow.kaleo.runtime.calendar;version="
 1.0",com.liferay.portal.workflow.kaleo.runtime.condition;version="1.0
 ",com.liferay.portal.workflow.kaleo.runtime.form;version="1.0",com.li
 feray.portal.workflow.kaleo.runtime.graph;version="1.0",com.liferay.p
 ortal.workflow.kaleo.runtime.manager;version="1.0",com.liferay.portal
 .workflow.kaleo.runtime.node;version="1.1",com.liferay.portal.workflo
 w.kaleo.runtime.notification;version="1.1",com.liferay.portal.workflo
 w.kaleo.runtime.notification.recipient;version="1.0",com.liferay.port
 al.workflow.kaleo.runtime.notification.recipient.script;version="2.0"
 ,com.liferay.portal.workflow.kaleo.runtime.util;version="1.1",com.lif
 eray.portal.workflow.kaleo.runtime.util.comparator;version="1.1",com.
 liferay.portal.workflow.kaleo.runtime.util.validator;version="1.0",co
 m.liferay.portal.workflow.kaleo.service;version="8.2",javax.mail.inte
 rnet;version="1.6",org.osgi.framework;version="1.8",org.osgi.util.tra
 cker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Workflow
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.workflow.kaleo.runtime.internal,co
 m.liferay.portal.workflow.kaleo.runtime.internal.action,com.liferay.p
 ortal.workflow.kaleo.runtime.internal.action.executor,com.liferay.por
 tal.workflow.kaleo.runtime.internal.assignment,com.liferay.portal.wor
 kflow.kaleo.runtime.internal.assignment.helper,com.liferay.portal.wor
 kflow.kaleo.runtime.internal.calendar,com.liferay.portal.workflow.kal
 eo.runtime.internal.condition,com.liferay.portal.workflow.kaleo.runti
 me.internal.graph,com.liferay.portal.workflow.kaleo.runtime.internal.
 helper,com.liferay.portal.workflow.kaleo.runtime.internal.instance.li
 fecycle,com.liferay.portal.workflow.kaleo.runtime.internal.manager,co
 m.liferay.portal.workflow.kaleo.runtime.internal.manager.messaging,co
 m.liferay.portal.workflow.kaleo.runtime.internal.messaging,com.lifera
 y.portal.workflow.kaleo.runtime.internal.node,com.liferay.portal.work
 flow.kaleo.runtime.internal.notification,com.liferay.portal.workflow.
 kaleo.runtime.internal.notification.recipient,com.liferay.portal.work
 flow.kaleo.runtime.internal.notification.recipient.script,com.liferay
 .portal.workflow.kaleo.runtime.internal.petra.executor,com.liferay.po
 rtal.workflow.kaleo.runtime.internal.settings,com.liferay.portal.work
 flow.kaleo.runtime.internal.timer.messaging,com.liferay.portal.workfl
 ow.kaleo.runtime.internal.transaction,com.liferay.portal.workflow.kal
 eo.runtime.internal.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.instance.lifecycle.Portal
 InstanceLifecycleListener";uses:="com.liferay.portal.instance.lifecyc
 le",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 messaging.MessageListener";uses:="com.liferay.portal.kernel.messaging
 ",osgi.service;objectClass:List<String>="com.liferay.portal.workflow.
 kaleo.runtime.action.ActionExecutorManager";uses:="com.liferay.portal
 .workflow.kaleo.runtime.action",osgi.service;objectClass:List<String>
 ="com.liferay.portal.workflow.kaleo.runtime.action.KaleoActionExecuto
 r";uses:="com.liferay.portal.workflow.kaleo.runtime.action",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.workflow.kaleo.runti
 me.assignment.AggregateKaleoTaskAssignmentSelector";uses:="com.lifera
 y.portal.workflow.kaleo.runtime.assignment",osgi.service;objectClass:
 List<String>="com.liferay.portal.workflow.kaleo.runtime.assignment.Ka
 leoTaskAssignmentSelector";uses:="com.liferay.portal.workflow.kaleo.r
 untime.assignment",osgi.service;objectClass:List<String>="com.liferay
 .portal.workflow.kaleo.runtime.assignment.KaleoTaskAssignmentSelector
 Registry";uses:="com.liferay.portal.workflow.kaleo.runtime.assignment
 ",osgi.service;objectClass:List<String>="com.liferay.portal.workflow.
 kaleo.runtime.calendar.DueDateCalculator";uses:="com.liferay.portal.w
 orkflow.kaleo.runtime.calendar",osgi.service;objectClass:List<String>
 ="com.liferay.portal.workflow.kaleo.runtime.condition.ConditionEvalua
 tor";uses:="com.liferay.portal.workflow.kaleo.runtime.condition",osgi
 .service;objectClass:List<String>="com.liferay.portal.workflow.kaleo.
 runtime.internal.assignment.CompositeKaleoTaskAssignmentSelector";use
 s:="com.liferay.portal.workflow.kaleo.runtime.internal.assignment",os
 gi.service;objectClass:List<String>="com.liferay.portal.workflow.kale
 o.runtime.internal.assignment.helper.TaskAssignerHelper";uses:="com.l
 iferay.portal.workflow.kaleo.runtime.internal.assignment.helper",osgi
 .service;objectClass:List<String>="com.liferay.portal.workflow.kaleo.
 runtime.internal.helper.NotificationMessageHelper";uses:="com.liferay
 .portal.workflow.kaleo.runtime.internal.helper",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.workflow.kaleo.runtime.internal.
 messaging.KaleoWorkflowMessagingConfigurator";uses:="com.liferay.port
 al.workflow.kaleo.runtime.internal.messaging",osgi.service;objectClas
 s:List<String>="com.liferay.portal.workflow.kaleo.runtime.internal.no
 de.NodeExecutorFactory";uses:="com.liferay.portal.workflow.kaleo.runt
 ime.internal.node",osgi.service;objectClass:List<String>="com.liferay
 .portal.workflow.kaleo.runtime.internal.node.TaskNodeExecutor,com.lif
 eray.portal.workflow.kaleo.runtime.node.NodeExecutor";uses:="com.life
 ray.portal.workflow.kaleo.runtime.internal.node,com.liferay.portal.wo
 rkflow.kaleo.runtime.node",osgi.service;objectClass:List<String>="com
 .liferay.portal.workflow.kaleo.runtime.internal.notification.Notifica
 tionMessageGeneratorFactory";uses:="com.liferay.portal.workflow.kaleo
 .runtime.internal.notification",osgi.service;objectClass:List<String>
 ="com.liferay.portal.workflow.kaleo.runtime.internal.notification.Not
 ificationSenderFactory";uses:="com.liferay.portal.workflow.kaleo.runt
 ime.internal.notification",osgi.service;objectClass:List<String>="com
 .liferay.portal.workflow.kaleo.runtime.internal.notification.recipien
 t.RoleNotificationRecipientBuilder,com.liferay.portal.workflow.kaleo.
 runtime.notification.recipient.NotificationRecipientBuilder";uses:="c
 om.liferay.portal.workflow.kaleo.runtime.internal.notification.recipi
 ent,com.liferay.portal.workflow.kaleo.runtime.notification.recipient"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.workflow.k
 aleo.runtime.internal.petra.executor.GraphWalkerPortalExecutor";uses:
 ="com.liferay.portal.workflow.kaleo.runtime.internal.petra.executor",
 osgi.service;objectClass:List<String>="com.liferay.portal.workflow.ka
 leo.runtime.internal.timer.messaging.TimerMessageListener";uses:="com
 .liferay.portal.workflow.kaleo.runtime.internal.timer.messaging",osgi
 .service;objectClass:List<String>="com.liferay.portal.workflow.kaleo.
 runtime.manager.PortalKaleoManager";uses:="com.liferay.portal.workflo
 w.kaleo.runtime.manager",osgi.service;objectClass:List<String>="com.l
 iferay.portal.workflow.kaleo.runtime.node.NodeExecutor";uses:="com.li
 feray.portal.workflow.kaleo.runtime.node",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.workflow.kaleo.runtime.notification.No
 tificationHelper";uses:="com.liferay.portal.workflow.kaleo.runtime.no
 tification",osgi.service;objectClass:List<String>="com.liferay.portal
 .workflow.kaleo.runtime.notification.NotificationMessageGenerator";us
 es:="com.liferay.portal.workflow.kaleo.runtime.notification",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.workflow.kaleo.runt
 ime.notification.NotificationSender";uses:="com.liferay.portal.workfl
 ow.kaleo.runtime.notification",osgi.service;objectClass:List<String>=
 "com.liferay.portal.workflow.kaleo.runtime.notification.recipient.Not
 ificationRecipientBuilder";uses:="com.liferay.portal.workflow.kaleo.r
 untime.notification.recipient",osgi.service;objectClass:List<String>=
 "com.liferay.portal.workflow.kaleo.runtime.notification.recipient.Not
 ificationRecipientBuilderRegistry";uses:="com.liferay.portal.workflow
 .kaleo.runtime.notification.recipient",osgi.service;objectClass:List<
 String>="com.liferay.portal.workflow.kaleo.runtime.notification.recip
 ient.script.NotificationRecipientEvaluator";uses:="com.liferay.portal
 .workflow.kaleo.runtime.notification.recipient.script",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.workflow.kaleo.runtime.ut
 il.ExecutionContextHelper";uses:="com.liferay.portal.workflow.kaleo.r
 untime.util",osgi.service;objectClass:List<String>="com.liferay.porta
 l.workflow.kaleo.runtime.util.RulesContextBuilder";uses:="com.liferay
 .portal.workflow.kaleo.runtime.util"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.mai
 l.kernel.service.MailService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.petra.executor.PortalExecutorManager)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.json.JSONFactory)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.language.Language)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.mes
 saging.Destination)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.messaging.DestinationFactory)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.messaging.MessageBus)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.security.permission.PermissionChe
 ckerFactory)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.security.permission.resource.ModelResourcePer
 mission)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.CompanyLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.G
 roupLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.OrganizationLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.RoleLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.UserGroupGroupRoleL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.UserGroupRoleLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.UserLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.UserNotificationEventLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.WorkflowDefinitionLinkLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.util.Localization)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.uuid.PortalUUID)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.wo
 rkflow.WorkflowDefinitionManager)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.workflow.WorkflowEngineM
 anager)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.workflow.WorkflowInstanceManager)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.workf
 low.WorkflowLogManager)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.workflow.WorkflowStatusManager)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.workflow.WorkflowTaskManager)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.workflow.comparator
 .WorkflowComparatorFactory)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.workflow.kaleo.KaleoTaskAssignmentFac
 tory)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.workflow.kaleo.KaleoWorkflowModelConverter)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.ka
 leo.definition.deployment.WorkflowDeployer)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.defini
 tion.parser.WorkflowModelParser)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.workflow.kaleo.definition.parser
 .WorkflowValidator)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.workflow.kaleo.runtime.KaleoSignaler)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.wor
 kflow.kaleo.runtime.WorkflowEngine)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.workflow.kaleo.runtime.action
 .ActionExecutorManager)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.workflow.kaleo.runtime.action.KaleoAction
 Executor)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.workflow.kaleo.runtime.action.executor.ActionExecutor)"
 ;effective:=active;resolution:=optional;cardinality:=multiple,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.runtime
 .assignment.AggregateKaleoTaskAssignmentSelector)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.workflow.kaleo.
 runtime.assignment.KaleoTaskAssignmentSelector)";effective:=active;re
 solution:=optional;cardinality:=multiple,osgi.service;filter:="(objec
 tClass=com.liferay.portal.workflow.kaleo.runtime.assignment.KaleoTask
 AssignmentSelectorRegistry)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.workflow.kaleo.runtime.calendar.DueDa
 teCalculator)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.workflow.kaleo.runtime.condition.ConditionEvaluator
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.workflow.kaleo.runtime.condition.ConditionEvaluator)";effective
 :=active;resolution:=optional;cardinality:=multiple,osgi.service;filt
 er:="(objectClass=com.liferay.portal.workflow.kaleo.runtime.graph.Gra
 phWalker)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.workflow.kaleo.runtime.internal.assignment.helper.TaskA
 ssignerHelper)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.workflow.kaleo.runtime.internal.helper.Notificatio
 nMessageHelper)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.workflow.kaleo.runtime.internal.messaging.KaleoWo
 rkflowMessagingConfigurator)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.workflow.kaleo.runtime.internal.node
 .NodeExecutorFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.workflow.kaleo.runtime.internal.node.TaskNo
 deExecutor)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.workflow.kaleo.runtime.internal.notification.Notifica
 tionMessageGeneratorFactory)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.workflow.kaleo.runtime.internal.noti
 fication.NotificationSenderFactory)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.workflow.kaleo.runtime.intern
 al.notification.recipient.RoleNotificationRecipientBuilder)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.workf
 low.kaleo.runtime.internal.petra.executor.GraphWalkerPortalExecutor)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.workflow.kaleo.runtime.internal.timer.messaging.TimerMessageListe
 ner)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.workflow.kaleo.runtime.manager.PortalKaleoManager)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.workf
 low.kaleo.runtime.node.NodeExecutor)";effective:=active;resolution:=o
 ptional;cardinality:=multiple,osgi.service;filter:="(objectClass=com.
 liferay.portal.workflow.kaleo.runtime.notification.NotificationHelper
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.workflow.kaleo.runtime.notification.NotificationMessageGenerato
 r)";effective:=active;resolution:=optional;cardinality:=multiple,osgi
 .service;filter:="(objectClass=com.liferay.portal.workflow.kaleo.runt
 ime.notification.NotificationSender)";effective:=active;resolution:=o
 ptional;cardinality:=multiple,osgi.service;filter:="(objectClass=com.
 liferay.portal.workflow.kaleo.runtime.notification.recipient.Notifica
 tionRecipientBuilder)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.workflow.kaleo.runtime.notification.recipie
 nt.NotificationRecipientBuilderRegistry)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.runtime.n
 otification.recipient.script.NotificationRecipientEvaluator)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.work
 flow.kaleo.runtime.notification.recipient.script.NotificationRecipien
 tEvaluator)";effective:=active;resolution:=optional;cardinality:=mult
 iple,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.k
 aleo.runtime.util.ExecutionContextHelper)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.runtime.
 util.validator.GroupAwareRoleValidator)";effective:=active;resolution
 :=optional;cardinality:=multiple,osgi.service;filter:="(objectClass=c
 om.liferay.portal.workflow.kaleo.service.KaleoActionLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .workflow.kaleo.service.KaleoConditionLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.kale
 o.service.KaleoDefinitionLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kal
 eoDefinitionVersionLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.workflow.kaleo.service.KaleoInst
 anceLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.workflow.kaleo.service.KaleoInstanceTokenLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.workflow.kaleo.service.KaleoLogLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.workflow
 .kaleo.service.KaleoNodeLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kale
 oNotificationLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.workflow.kaleo.service.KaleoNotificati
 onRecipientLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.workflow.kaleo.service.KaleoTaskAssignme
 ntInstanceLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.workflow.kaleo.service.KaleoTaskAssignmen
 tLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.workflow.kaleo.service.KaleoTaskFormInstanceLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.workflow.kaleo.service.KaleoTaskFormLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.wor
 kflow.kaleo.service.KaleoTaskInstanceTokenLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.
 kaleo.service.KaleoTaskLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kaleo
 TimerInstanceTokenLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.workflow.kaleo.service.KaleoTimer
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.workflow.kaleo.service.KaleoTransitionLocalService)
 ";effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.comp
 onent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.
 ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.
 internal.DefaultKaleoSignaler.xml,OSGI-INF/com.liferay.portal.workflo
 w.kaleo.runtime.internal.DefaultTaskManagerImpl.xml,OSGI-INF/com.life
 ray.portal.workflow.kaleo.runtime.internal.DefaultWorkflowEngineImpl.
 xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.actio
 n.KaleoActionExecutorImpl.xml,OSGI-INF/com.liferay.portal.workflow.ka
 leo.runtime.internal.action.executor.ActionExecutorManagerImpl.xml,OS
 GI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.assignment.
 AggregateKaleoTaskAssignmentSelectorImpl.xml,OSGI-INF/com.liferay.por
 tal.workflow.kaleo.runtime.internal.assignment.CompositeKaleoTaskAssi
 gnmentSelector.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime
 .internal.assignment.DefaultKaleoTaskAssignmentSelector.xml,OSGI-INF/
 com.liferay.portal.workflow.kaleo.runtime.internal.assignment.GroupAw
 areRoleKaleoTaskAssignmentSelector.xml,OSGI-INF/com.liferay.portal.wo
 rkflow.kaleo.runtime.internal.assignment.KaleoTaskAssignmentSelectorT
 racker.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.interna
 l.assignment.MultiLanguageKaleoTaskAssignmentSelector.xml,OSGI-INF/co
 m.liferay.portal.workflow.kaleo.runtime.internal.assignment.ResourceA
 ctionKaleoTaskAssignmentSelector.xml,OSGI-INF/com.liferay.portal.work
 flow.kaleo.runtime.internal.assignment.helper.TaskAssignerHelper.xml,
 OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.calendar.
 DefaultDueDateCalculator.xml,OSGI-INF/com.liferay.portal.workflow.kal
 eo.runtime.internal.condition.MultiLanguageConditionEvaluator.xml,OSG
 I-INF/com.liferay.portal.workflow.kaleo.runtime.internal.graph.Defaul
 tGraphWalker.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.i
 nternal.helper.NotificationHelperImpl.xml,OSGI-INF/com.liferay.portal
 .workflow.kaleo.runtime.internal.helper.NotificationMessageHelper.xml
 ,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.instance
 .lifecycle.KaleoPortalInstanceLifecycleListener.xml,OSGI-INF/com.life
 ray.portal.workflow.kaleo.runtime.internal.manager.DefaultPortalKaleo
 Manager.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.intern
 al.manager.messaging.KaleoAssetDeploymentMessageListener.xml,OSGI-INF
 /com.liferay.portal.workflow.kaleo.runtime.internal.messaging.KaleoWo
 rkflowMessagingConfigurator.xml,OSGI-INF/com.liferay.portal.workflow.
 kaleo.runtime.internal.node.ConditionNodeExecutor.xml,OSGI-INF/com.li
 feray.portal.workflow.kaleo.runtime.internal.node.ForkNodeExecutor.xm
 l,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.node.Jo
 inNodeExecutor.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime
 .internal.node.JoinXorNodeExecutor.xml,OSGI-INF/com.liferay.portal.wo
 rkflow.kaleo.runtime.internal.node.NodeExecutorFactory.xml,OSGI-INF/c
 om.liferay.portal.workflow.kaleo.runtime.internal.node.StateNodeExecu
 tor.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.n
 ode.TaskNodeExecutor.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.r
 untime.internal.notification.EmailNotificationSender.xml,OSGI-INF/com
 .liferay.portal.workflow.kaleo.runtime.internal.notification.Notifica
 tionMessageGeneratorFactory.xml,OSGI-INF/com.liferay.portal.workflow.
 kaleo.runtime.internal.notification.NotificationSenderFactory.xml,OSG
 I-INF/com.liferay.portal.workflow.kaleo.runtime.internal.notification
 .PushNotificationMessageSender.xml,OSGI-INF/com.liferay.portal.workfl
 ow.kaleo.runtime.internal.notification.TemplateNotificationMessageGen
 erator.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.interna
 l.notification.TextNotificationMessageGenerator.xml,OSGI-INF/com.life
 ray.portal.workflow.kaleo.runtime.internal.notification.UserNotificat
 ionMessageSender.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runti
 me.internal.notification.recipient.AddressNotificationRecipientBuilde
 r.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.not
 ification.recipient.AssigneeNotificationRecipientBuilder.xml,OSGI-INF
 /com.liferay.portal.workflow.kaleo.runtime.internal.notification.reci
 pient.DefaultNotificationRecipientBuilderRegistry.xml,OSGI-INF/com.li
 feray.portal.workflow.kaleo.runtime.internal.notification.recipient.R
 oleNotificationRecipientBuilder.xml,OSGI-INF/com.liferay.portal.workf
 low.kaleo.runtime.internal.notification.recipient.ScriptNotificationR
 ecipientBuilder.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runtim
 e.internal.notification.recipient.UserNotificationRecipientBuilder.xm
 l,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.notific
 ation.recipient.script.MultiLanguageNotificationRecipientEvaluator.xm
 l,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.petra.e
 xecutor.GraphWalkerPortalExecutor.xml,OSGI-INF/com.liferay.portal.wor
 kflow.kaleo.runtime.internal.timer.messaging.TimerMessageListener.xml
 ,OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.internal.util.Exe
 cutionContextHelperImpl.xml,OSGI-INF/com.liferay.portal.workflow.kale
 o.runtime.internal.util.RulesContextBuilderImpl.xml
Tool: Bnd-4.3.0.201909301554

